<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxLine (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxLine (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxLine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxLine" class="title">Class mxLine</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxPoint</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxLine</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxLine</span>
extends <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></pre>
<div class="block">Implements a line with double precision coordinates.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#hk.quantr.mxgraph.util.mxLine">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#endPoint">endPoint</a></span></code></th>
<td class="colLast">
<div class="block">The end point of the line</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="mxPoint.html#x">x</a>, <a href="mxPoint.html#y">y</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double,double,hk.quantr.mxgraph.util.mxPoint)">mxLine</a></span>&#8203;(double&nbsp;startPtX,
      double&nbsp;startPtY,
      <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</code></th>
<td class="colLast">
<div class="block">Creates a new line</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.util.mxPoint,hk.quantr.mxgraph.util.mxPoint)">mxLine</a></span>&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;startPt,
      <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</code></th>
<td class="colLast">
<div class="block">Creates a new line</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEndPoint()">getEndPoint</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the end point of the line.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ptLineDistSq(hk.quantr.mxgraph.util.mxPoint)">ptLineDistSq</a></span>&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</code></th>
<td class="colLast">
<div class="block">Returns the square of the shortest distance from a point to this line.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ptSegDistSq(hk.quantr.mxgraph.util.mxPoint)">ptSegDistSq</a></span>&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</code></th>
<td class="colLast">
<div class="block">Returns the square of the shortest distance from a point to this 
 line segment.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEndPoint(hk.quantr.mxgraph.util.mxPoint)">setEndPoint</a></span>&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the end point of the rectangle.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPoints(hk.quantr.mxgraph.util.mxPoint,hk.quantr.mxgraph.util.mxPoint)">setPoints</a></span>&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;startPt,
         <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</code></th>
<td class="colLast">
<div class="block">Sets the start and end points.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="mxPoint.html#clone()">clone</a>, <a href="mxPoint.html#equals(java.lang.Object)">equals</a>, <a href="mxPoint.html#getPoint()">getPoint</a>, <a href="mxPoint.html#getX()">getX</a>, <a href="mxPoint.html#getY()">getY</a>, <a href="mxPoint.html#setX(double)">setX</a>, <a href="mxPoint.html#setY(double)">setY</a>, <a href="mxPoint.html#toString()">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="endPoint">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>endPoint</h4>
<pre>protected&nbsp;<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a> endPoint</pre>
<div class="block">The end point of the line</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.util.mxPoint,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxLine</h4>
<pre>public&nbsp;mxLine&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;startPt,
              <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</pre>
<div class="block">Creates a new line</div>
</li>
</ul>
<a id="&lt;init&gt;(double,double,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxLine</h4>
<pre>public&nbsp;mxLine&#8203;(double&nbsp;startPtX,
              double&nbsp;startPtY,
              <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</pre>
<div class="block">Creates a new line</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getEndPoint()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getEndPoint()</pre>
<div class="block">Returns the end point of the line.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the end point of the line.</dd>
</dl>
</li>
</ul>
<a id="setEndPoint(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEndPoint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEndPoint&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;value)</pre>
<div class="block">Sets the end point of the rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The new end point of the line</dd>
</dl>
</li>
</ul>
<a id="setPoints(hk.quantr.mxgraph.util.mxPoint,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPoints</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPoints&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;startPt,
                      <a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;endPt)</pre>
<div class="block">Sets the start and end points.</div>
</li>
</ul>
<a id="ptLineDistSq(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ptLineDistSq</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;ptLineDistSq&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</pre>
<div class="block">Returns the square of the shortest distance from a point to this line.
 The line is considered extrapolated infinitely in both directions for 
 the purposes of the calculation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the point whose distance is being measured</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the square of the distance from the specified point to this line.</dd>
</dl>
</li>
</ul>
<a id="ptSegDistSq(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ptSegDistSq</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;ptSegDistSq&#8203;(<a href="mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</pre>
<div class="block">Returns the square of the shortest distance from a point to this 
 line segment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the point whose distance is being measured</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the square of the distance from the specified point to this segment.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxLine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
